## com.sun.jersey.spi.container.servlet
Enum WebConfig.ConfigType

    java.lang.Object
      java.lang.Enum<WebConfig.ConfigType>
          com.sun.jersey.spi.container.servlet.WebConfig.ConfigType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WebConfig.ConfigType>

Enclosing interface:
  WebConfig

    public static enum WebConfig.ConfigType

extends java.lang.Enum<WebConfig.ConfigType>

The web configuration type.

Enum Constant Summary
`FilterConfig` A configuration type of filter configuration.
`ServletConfig` A configuration type of servlet configuration.

Method Summary
`static WebConfig.ConfigType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WebConfig.ConfigType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ServletConfig

    public static final WebConfig.ConfigType ServletConfig

  A configuration type of servlet configuration.

### FilterConfig

    public static final WebConfig.ConfigType FilterConfig

  A configuration type of filter configuration.

Method Detail

### values

    public static WebConfig.ConfigType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (WebConfig.ConfigType c : WebConfig.ConfigType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static WebConfig.ConfigType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright © 2017 Oracle Corporation. All Rights Reserved.